# enhanced report to moderator mod
# original by cae
# modified by snYpir
# cheers to Gekko for the 'finishing touches' ;)

# version 1.1 SP

# enhancements:

# allows for bigger comments
# bug when sending emails fixed (sent two emails to moderators now only sends one)
# confirmation added
# confirmation screen added (after reports sent to moderators)

# for YaBB SP 1.1

# THIS VERSION AUTO SENDS EMAILS TO ADMINS AND MODERATORS

sub ReportToModerator {

	if($username eq 'Guest') { &fatal_error($txt{'1'}); }

	#get board name
	fopen(FILE, "$boardsdir/$INFO{'board'}.dat");
	@board =<FILE>;
	fclose(FILE);
	chomp $board[0];

	my $poster = $INFO{'poster'};

	$yymain .= qq~
<script language="JavaScript"> <!--
function confirmDel() {if (confirm("$rtm{'1a'} $poster $rtm{'1b'} $board[0]?")) {return true;} else {return false;}}
// --> </script>
<table border=0 width="53%" cellspacing=1 bgcolor="$color{'bordercolor'}" class="bordercolor" align="center" cellpadding="4">
  <tr>
    <td  class="titlebg" bgcolor="$color{'titlebg'}">
        <font size=2 class="text1" color="$color{'titletext'}"><b>$rtm{'2'}</b></font></td>
    </tr>
    <form action="$cgi\&action=reporttm2" method="POST">
    <tr>
    <td class="windowbg" bgcolor="$color{'windowbg'}" align="left">
			<table width="90%" align="center" cellspacing=4 bgcolor="$color{'windowbg'}" class="windowbg">
			<tr>
			<td class="windowbg" bgcolor="$color{'windowbg'}" align="left">
				<font size=1>$rtm{'3'} <b>$poster</b> $rtm{'4'} <b>$board[0]</b>.</font>
			</td>
		   </tr>

			<tr>
			<td class="windowbg" bgcolor="$color{'windowbg'}" align="left">
				<font size=1>$rtm{'4b'}</font>
			</td>
		   </tr>

			<tr>
			<td class="windowbg" bgcolor="$color{'windowbg'}" align="center">
				<textarea name="comment" cols=70 rows=10></textarea>
			</td>
			</tr>
			<tr>
			<td class="windowbg" bgcolor="$color{'windowbg'}" align="center">
				<input type="hidden" name="thread" value="$INFO{'thread'}">
				<input type="hidden" name="board" value="$INFO{'board'}">
				<input type="hidden" name="id" value="$INFO{'id'}">
				<input type="hidden" name="subject" value="$INFO{'subject'}">
				<input type="hidden" name="poster" value="$INFO{'poster'}">
				<input type=submit value="$rtm{'5'}" onClick="return confirmDel()">
			</td>
			</tr>
			</table>
	</td>
   </tr>
  </form>
</table>
	~;
	$yytitle = $rtm{'6'};
	&template;
	exit;
}

sub ReportToModerator2 {

	if($username eq 'Guest') { &fatal_error($txt{'1'}); }

	my ($mailtext,$mailsub,$curentry,$mailto);
	my $sentto = "";
	my $offender = $FORM{'poster'};

	# find email addy of offending poster
	&LoadUser($offender);

	$mailtext = "$rtm{'8'} $username ($settings[2]):\n\n$rtm{'9'}: $FORM{'subject'}\n$rtm{'10'} $FORM{'id'} $rtm{'11'}.\n$rtm{'12'}: $FORM{'poster'} ($userprofile{$offender}->[2]).\n\n$rtm{'13'}:\n\n$FORM{'comment'}\n\n$rtm{'14'}:\n\n$cgi&action=display&num=$FORM{'thread'}&start=$FORM{'id'}#$FORM{'id'}\n\n$rtm{'15'}:\n\n$scripturl?action=viewprofile;username=$FORM{'poster'}\n\n$rtm{'16'}:\n\n$scripturl?action=viewprofile;username=$username";
	$mailsub = "$rtm{'17'}\:  $FORM{'subject'} $rtm{'18'} $FORM{'poster'}";

	# reload moderator info from scratch
	fopen(FILE, "$boardsdir/$currentboard.dat");
	@yyBoardInfo =<FILE>;
	fclose(FILE);

	chomp @yyBoardInfo;

    # loop through all moderators for current board
	foreach(split(/\|/,$yyBoardInfo[2])) {
		if (-e "$memberdir/$_.dat") {
			fopen(MODERATOR, "$memberdir/$_.dat");
			@modprop = <MODERATOR>;
			fclose(MODERATOR);
			chomp($modprop[2]);

			# send mail to modprop
			&sendmail($modprop[2],"$mailsub","$mailtext");

			# update message
			$sentto .= qq~<b>$modprop[1]</b><br>~;
			$mailto = qq~ $rtm{'23'}~;
		}
	}

	# no moderators found? try global moderators
	if ($sentto eq "") {
		fopen(FILE, "$memberdir/memberlist.txt");
		@members = <FILE>;
		fclose(FILE);
		chomp @members;

		foreach $curentry (@members) {
			&LoadUser($curentry);
			if( $userprofile{$curentry}->[7] eq "Global Moderator" ) {
				$sentto .= qq~<b>$userprofile{$curentry}->[1]</b><br>~;
				&sendmail($userprofile{$curentry}->[2],"$mailsub","$mailtext");
				$mailto = qq~ $rtm{'24'}~;
			}
		}
	}

	# auto send email to administrators also
	fopen(FILE, "$memberdir/memberlist.txt");
	@members = <FILE>;
	fclose(FILE);
	chomp @members;
	foreach $curentry (@members) {
		&LoadUser($curentry);
		if( $userprofile{$curentry}->[7] eq "Administrator" ) {
			$sentto .= qq~<b>$userprofile{$curentry}->[1]</b><br>~;
			&sendmail($userprofile{$curentry}->[2],"$mailsub","$mailtext");
			if ( $mailto eq "" ) { $mailto = qq~ $rtm{'25'}~; }
			else { $mailto = qq~ $rtm{'23'} and $rtm{'25'}~; }
		}
	}

	# no administrators found? if not display confirmation
	if ($sentto eq "") { $sentto = qq~<b>$rtm{'19'}<br><br>$rtm{'20'}</b><br>~; }

	$yymain .= qq~
<table border=0 width="65%" cellspacing=1 bgcolor="$color{'bordercolor'}" class="bordercolor" align="center" cellpadding="4">
  <tr>
    <td class="titlebg" bgcolor="$color{'titlebg'}"><font size=2 class="text1" color="$color{'titletext'}"><b>$rtm{'7'}$mailto:</b></font></td>
  </tr>
  <tr>
    <td class="windowbg" bgcolor="$color{'windowbg'}" align="left">

	$sentto<br>
	<a href="$cgi&action=display&num=$FORM{'thread'}&start=$FORM{'id'}#$FORM{'id'}">$rtm{'21'}</a></td></tr></table>
	~;

	$yytitle = $rtm{'6'};
	&template;
	exit;
}

1;
